Bug 519227 - nouveau driver hangs system with GeForce 7300 SE within seconds
Summary: nouveau driver hangs system with GeForce 7300 SE within seconds
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 11
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-25 18:14 UTC by Marcin Zajaczkowski
Modified: 2018-04-11 10:59 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-28 20:32:19 UTC


Attachments (Terms of Use)
Xorg.0.log after hang (64.00 KB, text/plain)
2009-08-26 20:03 UTC, Marcin Zajaczkowski
no flags Details
/var/log/messages after hang (51.24 KB, text/plain)
2009-08-26 20:04 UTC, Marcin Zajaczkowski
no flags Details

Description Marcin Zajaczkowski 2009-08-25 18:14:36 UTC
Description of problem:
System with GeForce 7300 SE and nouveau driver hangs within seconds after X-server is started.

Version-Release number of selected component (if applicable):
Version in vanilla Fedora 11 (x86_64) and
xorg-x11-drv-nouveau-0.0.12-40.20090528git0c17b87.fc11.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Start Fedora with X11
2. Wait a few seconds (I was never able to login in - it hangs before)
  
Actual results:
System hangs (even mouse cursor is frozen)

Expected results:
System works normally

Additional info:
System works properly with nv driver and nvidia binary driver.

System hung hard twice during an installation process (when files were copied in different moments) - installation from media on hard disk. The third time I was switched to a console to watch last error message and finished successfully.
After a restart system hung at system configuration (after several seconds) - tried many times.
In normal mode it hands a few seconds after X-server is started in login mode. Also aftert startx from console.

Had to change nouveau dirver to nv by writing a small xorg.conf file (on Fedora 11 Features page there is only TODO how to do that...).

Probably related to bug 517243.

System info:
AMD Athlon(tm) 64 X2 Dual Core Processor 3800+, GeForce 7300 SE.

[szpak@dawidy ~]$ lspci 
00:00.0 Host bridge: VIA Technologies, Inc. K8M890CE Host Bridge
00:00.1 Host bridge: VIA Technologies, Inc. K8M890CE Host Bridge
00:00.2 Host bridge: VIA Technologies, Inc. K8M890CE Host Bridge
00:00.3 Host bridge: VIA Technologies, Inc. K8M890CE Host Bridge
00:00.4 Host bridge: VIA Technologies, Inc. K8M890CE Host Bridge
00:00.5 PIC: VIA Technologies, Inc. K8M890CE I/O APIC Interrupt Controller
00:00.7 Host bridge: VIA Technologies, Inc. K8M890CE Host Bridge
00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI bridge [K8T800/K8T890 South]
00:02.0 PCI bridge: VIA Technologies, Inc. K8T890 PCI to PCI Bridge Controller
00:03.0 PCI bridge: VIA Technologies, Inc. K8T890 PCI to PCI Bridge Controller
00:0f.0 IDE interface: VIA Technologies, Inc. Device 5337 (rev 80)
00:0f.1 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 07)
00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev a0)
00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev a0)
00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev a0)
00:10.3 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev a0)
00:10.4 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 86)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8237A PCI to ISA Bridge
00:11.7 Host bridge: VIA Technologies, Inc. VT8251 Ultra VLINK Controller
00:13.0 Host bridge: VIA Technologies, Inc. VT8237A Host Bridge
00:13.1 PCI bridge: VIA Technologies, Inc. VT8237A PCI to PCI Bridge
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
02:00.0 VGA compatible controller: nVidia Corporation G72 [GeForce 7300 SE] (rev a1)
04:04.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)
80:01.0 Audio device: VIA Technologies, Inc. VT1708/A [Azalia HDAC] (VIA High Definition Audio Controller) (rev 10)

I had also errors like below. pci=nommconf helped.
Aug 23 18:26:37 dawidy kernel: +------ PCI-Express Device Error ------+
Aug 23 18:26:37 dawidy kernel: Error Severity           : Uncorrected (Non-Fatal)
Aug 23 18:26:37 dawidy kernel: PCIE Bus Error type      : Transaction Layer
Aug 23 18:26:37 dawidy kernel: Flow Control Protocol    : Multiple
Aug 23 18:26:37 dawidy kernel: Receiver ID              : 0010
Aug 23 18:26:37 dawidy kernel: VendorID=1106h, DeviceID=a238h, Bus=00h, Device=02h, Function=00h

I case of additional questions don't hesitate to ask.

Comment 1 Ben Skeggs 2009-08-25 22:52:59 UTC
After a failed attempt to start, can you reboot into runlevel 3 (append "3" to your boot options) and store /var/log/Xorg.0.log and /var/log/messages somewhere so you can attach them here.  Thanks!

Comment 2 Marcin Zajaczkowski 2009-08-26 20:03:22 UTC
Created attachment 358763 [details]
Xorg.0.log after hang

Comment 3 Marcin Zajaczkowski 2009-08-26 20:04:09 UTC
Created attachment 358764 [details]
/var/log/messages after hang

Comment 4 Marcin Zajaczkowski 2009-08-26 20:05:13 UTC
At the end of Xorg.0.log there is info about "Detected GPU lockup". messages looks normal (quite messy, but it's fresh system and I haven't disabled not needed daemons yet). Both attached to this bug. Maybe you will have the idea what exactly the problem is.
If you need Xorg.log with higher verbosity just let me know.

(...)
(II) NOUVEAU(0): Modeline "720x400"x70.1   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
(II) NOUVEAU(0): EDID for output DVI-I-0

Fatal server error:
Detected GPU lockup


Please consult the The X.Org Foundation support 
	 at http://wiki.x.org
 for help. 
Please also check the log file at "/var/log/Xorg.0.log" for additiona
[there is no "l" at the end, probably due to a hang]

Aug 26 23:46:52 dawidy kernel: pci 0000:02:00.0: PCI INT A -> GSI 24 (level, low) -> IRQ 24
Aug 26 23:46:52 dawidy kernel: nouveau 0000:02:00.0: Detected an NV44 generation card (0x046300a3)
Aug 26 23:46:52 dawidy kernel: [drm] Initialized nouveau 0.0.12 20060213 for 0000:02:00.0 on minor 0

Comment 5 Marcin Zajaczkowski 2009-08-27 19:23:27 UTC
I will have direct access to that machine only till Saturday. Later things to do on it could take up to a week or two.
So if you would like to get more info from me preferable do it soon :). Thanks.

Comment 6 Matěj Cepl 2009-11-05 18:36:56 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 7 Matěj Cepl 2010-02-26 12:22:40 UTC
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]

Comment 8 Marcin Zajaczkowski 2010-03-01 19:46:00 UTC
Unfortunately currently I don't have access to that system and probably won't have within a month.

Comment 9 Matěj Cepl 2010-03-02 22:15:47 UTC
let's see ... I give you another month, and let's see in its end, how you and that computer are doing.

Comment 10 seventhguardian 2010-04-13 08:23:24 UTC
Any news?

I have the same GPU, and it worked fine with F12. Switching to F13 got me a blank startup screen.. not the same problem though.

Comment 11 Marcin Zajaczkowski 2010-04-14 19:47:37 UTC
Not yet, but I will have a computer with that chipset this week and test it with Fedora 12.

Comment 12 Bug Zapper 2010-04-28 09:58:24 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Marcin Zajaczkowski 2010-04-28 20:32:19 UTC
I can confirm that Fedora 12 with:
xorg-x11-drv-nouveau-0.0.15-21.20091105gite1c2efd.fc12.x86_64
doesn't hung on start. I had problem with GLX, but my xorg.conf is very simple, so it can be a problem (what wasn't a point of that issue report).

Thanks for your support.


Note You need to log in before you can comment on or make changes to this bug.